%define name    lv2
%define version 1.12.1git.4f597a
%define release 11

Name: lv2
Version: 1.12.1git.4f597a
Release: 11.rncbc.suse

License:        LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c
Group:          Development/Tools/Other
Summary:        LV2 stable version
URL:            http://lv2plug.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  python python-rdflib gcc-c++ pkgconfig
BuildRequires:  libsndfile-devel

%description
LV2 is a plugin standard for audio systems. It defines a minimal yet extensible C API for plugin code and a format for plugin "bundles".

LV2 is a successor of LADSPA that aims to remain simple yet adds extensibility which enables more advanced plugin functionality (e.g. MIDI or graphical interfaces).

Authors:
--------
   Steve Harris, David Robillard

%package        devel
License:        LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.
The LV2 header (lv2.h) and core bundle (lv2core.lv2) are maintained by

Authors
-------
David Robillard <d@drobilla.net>
Steve Harris <steve@plugin.org.uk>
with the input and help of many others.
Thanks to all members of the free software community who made LV2 possible.

%prep
%setup -q

%build
./waf --prefix=%{_prefix} --libdir=%{_libdir} --lv2dir=%{_libdir}/lv2 configure
./waf

%install
./waf --destdir=%{buildroot} install

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/*
%{_datadir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lv2.h
%dir %{_includedir}/lv2
%{_includedir}/lv2/*
%dir %{_libdir}/lv2
%{_libdir}/lv2/*
%{_libdir}/pkgconfig/*

%changelog
* Mon Jan  4 2016 Rui Nuno Capela <rncbc@rncbc.org> - 1.12.1git
- Latest git snapshot.
* Wed Apr 29 2015 Rui Nuno Capela <rncbc@rncbc.org> - 1.12.0
- New 1.12.0 release.
* Fri Aug  8 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.10.0
- New 1.10.0 release.
* Sun Jan  5 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.0
- New 1.8.0 release.
* Mon Aug 19 2013 Rui Nuno Capela <rncbc@rncbc.org> - 1.6.0
- New 1.6.0 release.
* Mon Apr 15 2013 Rui Nuno Capela <rncbc@rncbc.org> - 1.4.0
- New 1.4.0 release.
* Mon Oct 15 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.2.0
- New 1.2.0 release.
* Fri May 11 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.0.0
- Initial spec build.
